/**
 * A Simple application to test AutoTextView
 * @Author <a href="mailto:mlk@grex.org">Michael Lloyd Lee</a>
 * I will not document the SimpleApp and SimpleWindow classes.
 * They are small and stight forward.
 * ChangeLog
 * -- Mon Feb  5 00:37:29 GMT 2001
 *  Undrunked Coding Frenzy.
 *  The base classess for a Application which has a single window, with a BBox in coded. In the BBox a AutoTextView has been added.
 **/

#include "SimpleApp.h"
#include "AutoTextView.h"

#include <Box.h>

#include <String.h>

SimpleWindow::SimpleWindow():BWindow(BRect(20, 20, 280, 90), "SimpleApp", B_TITLED_WINDOW, 0)
{
	BBox *box = new BBox(BRect(10, 10, 250, 60));
	atv = new AutoTextView(BRect(10, 10, 230, 40), "autotextview", BRect(2, 2, 208, 38), B_FOLLOW_ALL_SIDES, B_WILL_DRAW);

	box->AddChild(atv);

	atv->MakeCapsSensitive(true);

	atv->AddWord(new BString("http://www.be.com"));
	atv->AddWord(new BString("http://www.benews.com"));
	atv->AddWord(new BString("http://www.begroovy.com"));
	atv->AddWord(new BString("http://www.bebits.com"));
	atv->AddWord(new BString("http://www.beforever.com"));
	atv->AddWord(new BString("http://www.opera.com"));


	this->AddChild(box);
}

bool
SimpleWindow::QuitRequested( void )
{
	be_app->PostMessage(B_QUIT_REQUESTED);
	return true;
}

SimpleApp::SimpleApp() : BApplication("application/vnd.mlk.SimpleApp")
{
}

void 
SimpleApp::ReadyToRun( void )
{
	win = new SimpleWindow();
	win->Show();
}

int main()
{
	SimpleApp().Run();	
}